MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Approve Schema RevisionCreate Draft ListingSubmit New VersionDelete Draft ListingDiscard Tool OverrideGet MCP ListingMy ListingsGet Schema Revision DetailList Tool OverridesList Schema RevisionsPreview MCP CapabilitiesUpsert Auth SchemesRefresh MCP CapabilitiesReject Schema RevisionSearch MCP ListingsSet Tool OverrideSubmit for ReviewUpdate Listing
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceMCP Listings

Preview MCP Capabilities

POST
/v1/mcp/schema/preview

Connect to a live MCP endpoint and return its capability schema, without persisting anything. Used by the publish form before a listing exists.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/mcp/schema/preview" \  -H "Content-Type: application/json" \  -d '{    "endpoint_url": "string"  }'
{  "schema_version": "string",  "source": "live_connection",  "fetched_at": "2019-08-24T14:15:22Z",  "server_info": {    "name": "string",    "title": "string",    "description": "string",    "version": "string",    "icons": [      {        "src": "string",        "mimeType": "string",        "sizes": "string"      }    ],    "websiteUrl": "string"  },  "tools": [    {      "name": "string",      "description": "string",      "inputSchema": {},      "outputSchema": {},      "method": "string",      "path": "string"    }  ],  "resources": [    {      "uri": "string",      "name": "string",      "description": "string",      "mimeType": "string"    }  ],  "prompts": [    {      "name": "string",      "description": "string",      "arguments": [        {          "name": "string",          "description": "string",          "required": false        }      ]    }  ],  "base_url": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

List Schema Revisions

Previous Page

Upsert Auth Schemes

Next Page

endpoint_url*Endpoint Url
Length1 <= length <= 512